# -*- coding: utf-8
import time

import pandas as pd

value_list = [0, 10, 20, 30.4, 59, 61, 79, 80, 90, 99, 100]

start = time.time()
# 等频分箱
value_freq_bins = pd.qcut(value_list, q=5)
print("等频分箱：", value_freq_bins.codes)

# 等距分箱
value_dis_bins = pd.cut(value_list, bins=5)
print("等距分箱：", value_dis_bins.codes)
print("time: ", time.time() - start)
